Package com.zfabrik.svnaccess

## Enum NodeKind

- java.lang.Object
- - java.lang.Enum<NodeKind>
  - - com.zfabrik.svnaccess.NodeKind

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<NodeKind>`

      public enum NodeKind
      extends java.lang.Enum<NodeKind>

  Describes the kind of a `SvnDirEntry` or `SvnLogItem` - so called a node. This can be one of
  - none: information about the node-kind does not exist
  - file: node is a file
  - dir: node is a directory
  - unknown node kind is unknown
  The difference between none and unknown is that in the first case the information is not provided by the server while in the latter case the server provides nodeKind="unknown".

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `dir` |
    `file` |
    `none` |
    `unknown` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static NodeKind` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static NodeKind[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### none

          public static final NodeKind none

    - #### file

          public static final NodeKind file

    - #### dir

          public static final NodeKind dir

    - #### unknown

          public static final NodeKind unknown

  - ### Method Detail

    - #### values

          public static NodeKind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NodeKind c : NodeKind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NodeKind valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null